Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
FSDK.ButtonItem Class Reference

## Public Member Functions
| constructor ()
| Constructor.
| constructor (name, pos, exec, enable, marked, tooltip, label, bitmap)
| Constructor, with parameters. More...
| Set (name, pos, exec, enable, marked, tooltip, label, bitmap) name
| Set values. More...

## Public Attributes
| bitmap
| A bitmap object of button.
| enable
| An expression string that determines whether to enable the toolbutton.
| exec
| The expression string to evaluate when the button is selected.
| label
| A text label to be displayed on the button to the right of the icon.
| marked
| An expression string that determines whether the toolbutton is marked.
| pos
| The button number to place the added button in the toolbar.
| tooltip
| The text to display in the button help text when the mouse is over the toolbutton.

## Detailed Description

This class represents button item.

## Member Function Documentation

## ◆ constructor()

FSDK.ButtonItem.constructor | ( | name | ,
|  | pos | ,
|  | exec | ,
|  | enable | ,
|  | marked | ,
|  | tooltip | ,
|  | label | ,
|  | bitmap |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | name | A unique language-independent identifier for the button.
  [in] | pos | The button number to place the added button in the toolbar.
  [in] | exec | The expression string to evaluate when the button is selected.
  [in] | enable | An expression string that determines whether to enable the toolbutton.
  [in] | marked | An expression string that determines whether the toolbutton is marked.
  [in] | tooltip | The text to display in the button help text when the mouse is over the toolbutton.
  [in] | label | A text label to be displayed on the button to the right of the icon.
  [in] | bitmap | A bitmap object of button.

## ◆ Set()

FSDK.ButtonItem.Set | ( | name | ,
|  | pos | ,
|  | exec | ,
|  | enable | ,
|  | marked | ,
|  | tooltip | ,
|  | label | ,
|  | bitmap |
| ) |  |

Set values.

Parameters

  [in] | name | A unique language-independent identifier for the button.
  [in] | pos | The button number to place the added button in the toolbar.
  [in] | exec | The expression string to evaluate when the button is selected.
  [in] | enable | An expression string that determines whether to enable the toolbutton.
  [in] | marked | An expression string that determines whether the toolbutton is marked.
  [in] | tooltip | The text to display in the button help text when the mouse is over the toolbutton.
  [in] | label | A text label to be displayed on the button to the right of the icon.
  [in] | bitmap | A bitmap object of button.

Returns
  None.

A unique language-independent identifier for the button.